@import "color_variables"

#notifications-container
  position: fixed
  left: 10px
  bottom: 10px
  z-index: 10

.container-alert
  margin-top: 5px
  animation: 0.5s slide-in linear
  transform-origin: bottom

@keyframes slide-in
  0%
    transform: translateY(100%)
  100%
    transform: translateY(0)

.text-alert
  position: relative
  font-size: 18px
  padding: 10px
  border-radius: 3px
  border-width: 2px
  border-style: solid
  color: black
  z-index: 10

.alert-none
  background: color("grey", "base")
  border-color: color("grey", "darken-1")

.alert-success
  background: color("light-green", "accent-2")
  border-color: color("light-green", "lighten-1")

.alert-info
  background: color("amber", "accent-2")
  border-color: color("amber", "lighten-1")

.alert-warning
  background: color("orange", "base")
  border-color: color("orange", "darken-2")

.alert-warning
  background: color("orange", "base")
  border-color: color("orange", "darken-2")

.alert-error
  background: color("red", "base")
  border-color: color("red", "darken-2")
